.footer {
    background: linear-gradient(135deg, #0f1c2e, #0a1626);
    color: #fff;
    padding-top: 40px;
    position: relative;
}

/* CTA */
.footer-cta {
    position: relative;
    margin-top: -72px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.cta-box {
    width: 85%;
    background: #fff;
    border-radius: 20px;
    padding: 25px 30px;
    display: grid;
    grid-template-columns: minmax(0, 1.2fr) minmax(0, 1fr);
    grid-template-areas:
        "title actions"
        "title actions";
    align-items: center;
    column-gap: 28px;
    row-gap: 10px;
}

.cta-left {
    grid-area: title;
}

.cta-left h4 {
    color: #000000;
    font-weight: 600;
    font-size: 32px;
}

.cta-left p {
    font-size: 13.81px;
    font-weight: 400;
    color: #505050;
}

.cta-actions {
    grid-area: actions;
    display: flex;
    align-items: center;
    gap: 14px;
    justify-content: flex-end;
}

.cta-center {
    flex: 1 1 auto;
    display: flex;
    justify-content: flex-end;
}

.cta-center input {
    width: 100%;
    max-width: 280px;
    padding: 10px 15px;
    border-radius: 25px;
    border: none;
    background: #f1f1f1;
}

.cta-right {
    flex: 0 0 auto;
    display: flex;
    justify-content: flex-end;
}

.cta-right button {
    background: #ff4d4d;
    color: #fff;
    border: none;
    padding: 10px 25px;
    border-radius: 25px;
}

/* main */
.footer-main {
    margin-top: 90px;
}

.footer-logo {
    width: 150px;
}

.footer-main h6 {
    margin-bottom: 15px;
    color: #FFFFFF;
    font-weight: 700;
    font-size: 17.44px;
}

.footer-main p {
    font-size: 14.75px;
    font-weight: 400;
    color: #9CA3AF;
}

/* social */
.footer .social-icons {
    margin-top: 15px;
    display: flex;
    gap: 10px;
    cursor: pointer;
}

.footer .social-icons img {
    transition: transform 0.3s ease;
}

.footer .social-icons img:hover {
    transform: scale(1.08);
}


.footer .social-icons span {
    width: 30px;
    height: 30px;
    background: #1c2b45;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* india */
.india {
    margin-top: 15px;
    width: 100px;
}

/* bottom */
.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    font-size: 13px;
    color: #bbb;
}

.footer-bottom a {
    color: #bbb;
    text-decoration: none;
    margin: 0 10px;
}

/* responsive */
@media (max-width: 992px) {

    .cta-box {
        grid-template-columns: 1fr;
        grid-template-areas:
            "title"
            "actions";
        text-align: center;
        padding: 13px;
    }

    .cta-actions {
        flex-direction: column;
        width: 100%;
        justify-content: center;
    }

    .cta-center,
    .cta-right {
        justify-content: center;
    }

    .footer-bottom {
        flex-direction: column;
        text-align: center;
    }
}

/* MOBILE FIX */
@media (max-width: 768px) {
    .container-margin {
        margin-bottom: 50px;
    }

    .footer {
        padding-top: 150px;
    }

    .footer-cta {
        margin-top: -230px;
    }

    .cta-box {
        width: 92%;
        padding: 25px 20px;
        align-items: center;
        text-align: center;
    }

    .cta-left {
        width: 100%;
    }

    .cta-left h4 {
        font-size: 22px;
    }

    .cta-left p {
        font-size: 13px;
    }

    /* input center */
    .cta-center {
        width: 100%;
        margin-top: 15px;
    }

    .cta-center input {
        width: 100%;
        max-width: 100%;
        height: 45px;
        border-radius: 30px;
    }

    /* button */
    .cta-right {
        width: 100%;
        margin-top: 15px;
        justify-content: center;
    }

    .cta-right button {
        width: 100%;
        height: 45px;
        border-radius: 30px;
    }

    .footer-main .links,
    .policies {
        text-align: left;
    }
}

@media (max-width: 576px) {
    .footer {
        margin-top: 30%;
    }

    .footer-cta {
        margin-top: -64px;
    }

    .cta-box {
        width: 95%;
        padding: 20px;
    }

    .cta-center input {
        max-width: 100%;
    }
}
